/*****Chapter 2, Table 2.5*****/
/*use agreement_data.dta*/

/*generate exclusive categories for cross-tab w atop*/
gen onlyatopoff=0
replace onlyatopoff=1 if offenseatop==1 & defenseatop==0

gen onlyatopdef=0
replace onlyatopdef=1 if offenseatop==0 & defenseatop==1

gen bothatopoffdef=0
replace bothatopoffdef=1 if offenseatop==1 & defenseatop==1

gen onlyuc=0
replace onlyuc=1 if uncond_comp==1 & cond_comp==0 & uncond_det==0 & cond_det==0 & prob_det==0 & pure_cond_det==0

gen onlycc=0
replace onlycc=1 if uncond_comp==0 & cond_comp==1 & uncond_det==0 & cond_det==0 & prob_det==0 & pure_cond_det==0

gen onlyud=0
replace onlyud=1 if uncond_comp==0 & cond_comp==0 & uncond_det==1 & cond_det==0 & prob_det==0 & pure_cond_det==0

gen onlycd=0
replace onlycd=1 if uncond_comp==0 & cond_comp==0 & uncond_det==0 & cond_det==1 & prob_det==0 & pure_cond_det==0

gen onlypd=0
replace onlypd=1 if uncond_comp==0 & cond_comp==0 & uncond_det==0 & cond_det==0 & prob_det==1 & pure_cond_det==0

gen onlypcd=0
replace onlypcd=1 if uncond_comp==0 & cond_comp==0 & uncond_det==0 & cond_det==0 & prob_det==0 & pure_cond_det==1


gen bothuc_cc=0
replace bothuc_cc=1 if uncond_comp==1 & cond_comp==1 & uncond_det==0 & cond_det==0 & prob_det==0 & pure_cond_det==0

gen bothuc_ud=0
replace bothuc_ud=1 if uncond_comp==1 & cond_comp==0 & uncond_det==1 & cond_det==0 & prob_det==0 & pure_cond_det==0

gen bothuc_cd=0
replace bothuc_cd=1 if uncond_comp==1 & cond_comp==0 & uncond_det==0 & cond_det==1 & prob_det==0 & pure_cond_det==0


gen bothcc_ud=0
replace bothcc_ud=1 if uncond_comp==0 & cond_comp==1 & uncond_det==1 & cond_det==0 & prob_det==0 & pure_cond_det==0

gen bothcc_cd=0
replace bothcc_cd=1 if uncond_comp==0 & cond_comp==1 & uncond_det==0 & cond_det==1 & prob_det==0 & pure_cond_det==0

gen bothcc_pd=0
replace bothcc_pd=1 if uncond_comp==0 & cond_comp==1 & uncond_det==0 & cond_det==0 & prob_det==1 & pure_cond_det==0

gen bothcc_pcd=0
replace bothcc_pcd=1 if uncond_comp==0 & cond_comp==1 & uncond_det==0 & cond_det==0 & prob_det==0 & pure_cond_det==1


gen bothud_pcd=0
replace bothud_pcd=1 if uncond_comp==0 & cond_comp==0 & uncond_det==1 & cond_det==0 & prob_det==0 & pure_cond_det==1


gen bothcd_pd=0
replace bothcd_pd=1 if uncond_comp==0 & cond_comp==0 & uncond_det==0 & cond_det==1 & prob_det==1 & pure_cond_det==0


gen bothpd_pcd=0
replace bothpd_pcd=1 if uncond_comp==0 & cond_comp==0 & uncond_det==0 & cond_det==0 & prob_det==1 & pure_cond_det==1

gen atopagcat=0
replace atopagcat=1 if onlyatopoff==1
replace atopagcat=2 if onlyatopdef==1
replace atopagcat=3 if bothatopoffdef==1

gen novelagcat=0
replace novelagcat=1 if onlyuc==1
replace novelagcat=2 if onlycc==1
replace novelagcat=3 if onlyud==1
replace novelagcat=4 if onlycd==1
replace novelagcat=5 if onlypd==1
replace novelagcat=6 if onlypcd==1
replace novelagcat=7 if bothuc_cc==1
replace novelagcat=8 if bothuc_ud==1
replace novelagcat=9 if bothuc_cd==1
replace novelagcat=10 if bothcc_ud==1
replace novelagcat=11 if bothcc_cd==1
replace novelagcat=12 if bothcc_pd==1
replace novelagcat=13 if bothcc_pcd==1
replace novelagcat=14 if bothud_pcd==1
replace novelagcat=15 if bothcd_pd==1
replace novelagcat=16 if bothpd_pcd==1

tab novelagcat atopagcat 

